<script lang="ts" setup>
import type { BaseForm } from '@/types/base';

const props = defineProps<BaseForm>();
</script>

<template>
  <SlpSection background-color="$color-surface-50" class="preferences-block">
    <SlpRow class="preferences-block__row">
      <SlpColumn :cols="6" class="preferences-block__form-column slp-md-64">
        <CommonMktoForm v-bind="props" class="preferences-block__form" />
      </SlpColumn>
    </SlpRow>
  </SlpSection>
</template>

<style lang="scss" scoped>
.preferences-block {
  padding-top: 36px;
  &__row {
    margin: 96px 0;
    display: flex;
    justify-content: center;
  }

  &__card {
    padding: $spacing-32;
    background: $color-surface-800;
    border-radius: 16px;
  }

  &__card_link {
    padding-left: 0;
  }

  &__form-column {
    background: #fff;
    border: 1px solid rgba(0, 0, 0, 0.08);
    border-radius: 4px;
    padding: 32px;
    position: relative;
  }

  &:deep(.form_container) {
    select {
      cursor: pointer;
    }

    button.mktoButton {
      background-color: $color-surface-700;
      background-image: none;
      border: 1px solid $color-surface-700;
      border-radius: 4px;
      color: $color-text-50;
      cursor: pointer;
      display: inline-block;
      font-size: 16px;
      line-height: 40px;
      margin-bottom: 20px;
      margin-top: 20px;
      min-height: 52px;
      min-width: 140px;
      padding: 4px 30px;
      transition: all 0.3s ease-in-out;
      width: 100%;
    }

    .mktoFieldWrap label {
      margin: 16px 0;
    }

    .mktoGutter,
    .mktoOffset,
    .mktoAsterix {
      display: none !important;
    }

    .mktoFormRow > .mktoFieldWrap > * {
      max-height: 48px !important;

      @media (max-width: $breakpoint-lg) {
        max-height: 58px !important;
      }
    }

    .mktoCheckboxList {
      margin-bottom: 0 !important;
      max-height: 48px !important;

      @media (max-width: $breakpoint-lg) {
        max-height: 58px !important;
      }
      input[type='checkbox'] {
        min-width: 30px !important;
      }
    }

    .mktoFieldDescriptor {
      margin-bottom: 0 !important;
    }

    .mktoHtmlText {
      margin-top: $spacing-24 !important;
    }

    .mktoRadioList > * {
      width: 100% !important;
    }

    @media (max-width: $breakpoint-lg) {
      .mktoForm_container {
        padding: $spacing-8 $spacing-16;
      }
    }
  }
}
</style>
